require "graphql_authorizer/version"
require "graphql_authorizer/configuration"
require "graphql_authorizer/request"

# Main Module
module GraphQLAuthorizer
  class << self
    # We want to extend app configuration by requiring User's to provide
    # a block in application's initializer.
    # http://lizabinante.com/blog/creating-a-configurable-ruby-gem/
    # https://robots.thoughtbot.com/mygem-configure-block
    attr_accessor :configuration
  end

  def self.configure
    self.configuration ||= Configuration.new
    yield(configuration)
  end
end
