require "errors/configuration"

module GraphQLAuthorizer
  # Configuration Class
  class Configuration
    attr_writer :access_key

    def initialize
      @access_key = nil
    end

    def access_key
      raise GraphQLAuthorizer::Errors::Configuration, "access key missing!" unless @access_key
      @access_key
    end
  end
end
